Subject: Re: [PATCH net v2 1/2] bridge: implement missing ndo_uninit()

From: Ido Schimmel <[email-masked]>
Date: Sat, 8 Apr 2017 16:49:38 +0300

On Sat, Apr 08, 2017 at 09:30:42AM -0400, Stephen Hemminger wrote:
> On Sat, 8 Apr 2017 14:41:58 +0300
> <[email-masked]> wrote:
> 
> >  static void br_dev_free(struct net_device *dev)
> >  {
> > -	struct net_bridge *br = netdev_priv(dev);
> > -
> > -	free_percpu(br->stats);
> >  	free_netdev(dev);
> >  }
> >  
> 
> Since the only thing left is free_netdev, you can now just set dev->destructor
> to be free_netdev.

Fine.

Beside stylistic issues, I would appreciate comments on how this should
be handled. Are we reverting the patch in the Fixes line or applying
this patchset?

I prefer the first option. Then after net is merged into net-next I can
re-post this patchset with the requested changes.